JavaScript/jQuery BarGauge Methods

This section describes the methods that can be used in code to manipulate objects related to the BarGauge UI component.

See Also

beginUpdate()

Postpones rendering that can negatively affect performance until the endUpdate() method is called.

The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.

See Also

dispose()

Disposes of all the resources allocated to the BarGauge instance.

After calling this method, remove the DOM element associated with the UI component:

JavaScript
  • $("#myBarGauge").dxBarGauge("dispose");
  • $("#myBarGauge").remove();

element()

Gets the root UI component element.

Return Value:

HTMLElement | jQuery

An HTML element or a jQuery element when you use jQuery.

See Also

endUpdate()

Refreshes the UI component after a call of the beginUpdate() method.

The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.

See Also

exportTo(fileName, format)

Exports the UI component.

Parameters:
fileName:

String

The name of the file to which the UI component is about to be exported.

format:

String

The file's format. One of 'PNG', 'PDF', 'JPEG', 'SVG' and 'GIF'.
PNG is used if the browser does not support exporting to the specified format.

getInstance(element)

Gets the instance of a UI component found using its DOM node.

Parameters:
element:

DOM Node

|

jQuery

The UI component's container.

Return Value:

Object

The UI component's instance.

getInstance is a static method that the UI component class supports. The following code demonstrates how to get the BarGauge instance found in an element with the myBarGauge ID:

  • // Modular approach
  • import BarGauge from "devextreme/viz/bar_gauge";
  • ...
  • let element = document.getElementById("myBarGauge");
  • let instance = BarGauge.getInstance(element) as BarGauge;
  •  
  • // Non-modular approach
  • let element = document.getElementById("myBarGauge");
  • let instance = DevExpress.viz.dxBarGauge.getInstance(element);
See Also

getSize()

Gets the current UI component size.

Return Value:

Size

The current UI component size.

Returns an object with the following fields.

  • width
    The width of the UI component in pixels.
  • height
    The height of the UI component in pixels.
See Also

hideLoadingIndicator()

Hides the loading indicator.

Although the loading indicator hides automatically once the UI component is ready, you can hide it from code at the required moment using this method.

See Also

instance()

Gets the UI component's instance. Use it to access other methods of the UI component.

Return Value:

BarGauge

This UI component's instance.

See Also

off(eventName)

Detaches all event handlers from a single event.

Parameters:
eventName:

String

The event's name.

Return Value:

BarGauge

The object for which this method is called.

See Also

off(eventName, eventHandler)

Detaches a particular event handler from a single event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value:

BarGauge

The object for which this method is called.

See Also

on(eventName, eventHandler)

Subscribes to an event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value:

BarGauge

The object for which this method is called.

Use this method to subscribe to one of the events listed in the Events section.

See Also

on(events)

Subscribes to events.

Parameters:
events:

Object

Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}

Return Value:

BarGauge

The object for which this method is called.

Use this method to subscribe to several events with one method call. Available events are listed in the Events section.

See Also

option()

Return Value:

Object

The UI component's properties.

option(optionName)

Gets the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

Return Value: any

This property's value.

option(optionName, optionValue)

Updates the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

optionValue: any

This property's new value.

option(options)

Updates the values of several properties.

Parameters:
options:

Object

Options with their new values.

print()

Opens the browser's print window.

render()

Redraws the UI component.

Normally, the UI component redraws itself automatically after the browser window is resized. But on rare occasions, you may need to request the redrawing, for example, after the UI component's container is resized. For this purpose, call the render() method.

View on GitHub

See Also

resetOption(optionName)

Resets a property to its default value.

Parameters:
optionName:

String

A property's name.

See Also

showLoadingIndicator()

Shows the loading indicator.

svg()

Gets the UI component's SVG markup.

Return Value:

String

The UI component's SVG markup.

values()

Gets all the values.

Return Value:

Array<Number>

The values.

values(newValues)

Updates all the values.

Parameters:
values:

Array<Number>

New values.

Use this method to change gauge values at runtime.

View Demo

See Also

React BarGauge Methods

This section describes the methods that can be used in code to manipulate objects related to the BarGauge UI component.

See Also

beginUpdate()

Postpones rendering that can negatively affect performance until the endUpdate() method is called.

The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.

See Also

dispose()

Disposes of all the resources allocated to the BarGauge instance.

jQuery

After calling this method, remove the DOM element associated with the UI component:

JavaScript
$("#myBarGauge").dxBarGauge("dispose");
$("#myBarGauge").remove();
Angular

Use conditional rendering instead of this method:

app.component.html
<dx-bar-gauge ...
    *ngIf="condition">
</dx-bar-gauge>
Vue

Use conditional rendering instead of this method:

App.vue
<template>
    <DxBarGauge ...
        v-if="condition">
    </DxBarGauge>
</template>

<script>
import DxBarGauge from 'devextreme-vue/bar-gauge';

export default {
    components: {
        DxBarGauge
    }
}
</script>
React

Use conditional rendering instead of this method:

App.js
import React from 'react';

import BarGauge from 'devextreme-react/bar-gauge';

function DxBarGauge(props) {
    if (!props.shouldRender) {
        return null;
    }

    return (
        <BarGauge ... >    
        </BarGauge>
    );
}

class App extends React.Component {
    render() {
        return (
            <DxBarGauge shouldRender="condition" />
        );
    }
}
export default App;

element()

Gets the root UI component element.

Return Value:

HTMLElement | jQuery

An HTML element or a jQuery element when you use jQuery.

See Also

endUpdate()

Refreshes the UI component after a call of the beginUpdate() method.

The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.

See Also

exportTo(fileName, format)

Exports the UI component.

Parameters:
fileName:

String

The name of the file to which the UI component is about to be exported.

format:

String

The file's format. One of 'PNG', 'PDF', 'JPEG', 'SVG' and 'GIF'.
PNG is used if the browser does not support exporting to the specified format.

getInstance(element)

Gets the instance of a UI component found using its DOM node.

Parameters:
element:

DOM Node

|

jQuery

The UI component's container.

Return Value:

Object

The UI component's instance.

getInstance is a static method that the UI component class supports. The following code demonstrates how to get the BarGauge instance found in an element with the myBarGauge ID:

Code
// Modular approach
import BarGauge from "devextreme/viz/bar_gauge";
...
let element = document.getElementById("myBarGauge");
let instance = BarGauge.getInstance(element) as BarGauge;

// Non-modular approach
let element = document.getElementById("myBarGauge");
let instance = DevExpress.viz.dxBarGauge.getInstance(element);
See Also

getSize()

Gets the current UI component size.

Return Value:

Size

The current UI component size.

Returns an object with the following fields.

  • width
    The width of the UI component in pixels.
  • height
    The height of the UI component in pixels.
See Also

hideLoadingIndicator()

Hides the loading indicator.

Although the loading indicator hides automatically once the UI component is ready, you can hide it from code at the required moment using this method.

See Also

instance()

Gets the UI component's instance. Use it to access other methods of the UI component.

Return Value:

BarGauge

This UI component's instance.

See Also

off(eventName)

Detaches all event handlers from a single event.

Parameters:
eventName:

String

The event's name.

Return Value:

BarGauge

The object for which this method is called.

See Also

off(eventName, eventHandler)

Detaches a particular event handler from a single event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value:

BarGauge

The object for which this method is called.

See Also

on(eventName, eventHandler)

Subscribes to an event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value:

BarGauge

The object for which this method is called.

Use this method to subscribe to one of the events listed in the Events section.

See Also

on(events)

Subscribes to events.

Parameters:
events:

Object

Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}

Return Value:

BarGauge

The object for which this method is called.

Use this method to subscribe to several events with one method call. Available events are listed in the Events section.

See Also

option()

Return Value:

Object

The UI component's properties.

option(optionName)

Gets the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

Return Value: any

This property's value.

option(optionName, optionValue)

Updates the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

optionValue: any

This property's new value.

option(options)

Updates the values of several properties.

Parameters:
options:

Object

Options with their new values.

print()

Opens the browser's print window.

render()

Redraws the UI component.

Normally, the UI component redraws itself automatically after the browser window is resized. But on rare occasions, you may need to request the redrawing, for example, after the UI component's container is resized. For this purpose, call the render() method.

View on GitHub

See Also

resetOption(optionName)

Resets a property to its default value.

Parameters:
optionName:

String

A property's name.

See Also

showLoadingIndicator()

Shows the loading indicator.

svg()

Gets the UI component's SVG markup.

Return Value:

String

The UI component's SVG markup.

values()

Gets all the values.

Return Value:

Array<Number>

The values.

values(newValues)

Updates all the values.

Parameters:
values:

Array<Number>

New values.

Use this method to change gauge values at runtime.

View Demo

See Also